GitHub
GitHub Profile
Fetch a GitHub user profile by username.
GET
/githubGET
/githubParameters
Request
bash
1curl -X GET 'https://execross.com/api/v3/github?username=goodop' \
2 -H 'Accept: application/json' \
3 -H 'apikey: YOUR-APIKEY'Response
Click Send to execute the request.
Example response
json
1{
2 "creator": "EXECROSS",
3 "ip": "182.1.91.138",
4 "result": {
5 "login": "goodop",
6 "name": "Ang",
7 "id": 54814225,
8 "avatar_url": "https://avatars.githubusercontent.com/u/54814225?v=4",
9 "html_url": "https://github.com/goodop",
10 "bio": "Normal temperature π¦Ύπ€",
11 "company": "imjustgood.com",
12 "blog": "ang.execross.com",
13 "location": "Surabaya, Great Indonesia",
14 "email": "[email protected]",
15 "twitter_username": "0xangx",
16 "public_repos": 12,
17 "public_gists": 0,
18 "followers": 35,
19 "following": 5,
20 "created_at": "2019-09-02T16:48:50Z",
21 "updated_at": "2024-08-04T07:35:43Z"
22 },
23 "status": 200
24}Next
GitHub Download
